/*
 * TFC_Library_Setup.h
 *
 *  Created on: 28/11/2014
 *      Author: Javier
 */

#ifndef TFC_LIBRARY_SETUP_H_
#define TFC_LIBRARY_SETUP_H_


/********** UART CONFIGURATION DEFINITIONS *********************************************************/
#define UART0	(0)
#define UART1	(1)
#define UART3	(3)
#define BR_UART_MOTOR	(115200)
#define DEFAULT_BAUDRATE (9600)

/********** WIFLY CONFIGURATION OPTIONS ************************************************************/
#define WF_RESET_PIN		22    // GPIO port to perform HW reset to the device
#define WF_REPLY_TIMEOUT 	1500  // timewait for device responses
#define WF_REPLY_DHCP		7000  // longer timewait for funcionalities as DHCP requests

/********************** WIFI AUTHENTICATION DEFINITIONS ********************************************/
#define OPEN	0
#define WEP128 	1
#define WPA1	2
#define MIXED	3
#define	WPA2	4
#define Adhoc	6
#define WPE64	7

/***************************SOCKET AND CONNECTIONS CONFIG********************************************/

#define SOCKET_UDP	1
#define SOCKET_TCP	2
#define SOCKET_HTTP 18
#define WIFLY_LOCAL_PORT	2000
#define TCP_LISTEN_TIMEOUT	2000
/* Here you can define the resource where wifly will perform the remote connections to*/


/*****************************************************************************************************/


/*************************** REMOTE SERVER STUFF************************************************************/
#define REMOTE_SERVER_RESOURCE "GET$/status.php?"
#define CONNECTION_OK "200 OK"

/**********************************************************************************************************/

/* Enables or disables the debugging mode*/
#define DEBUGGER 0
#define INFO	0




#endif /* TFC_LIBRARY_SETUP_H_ */
