 /***********************************************************************
 * debug.h
 *
 *  Created on: 16/10/2014
 *      Author: javier
 *
 * Project:	TFC_Library
 * File:	debug.h
 * Description:
 * 		This is module provides with debug functionalities to
 *      help on finding problems by sending messages with
 *      timestamp through an UART port
 *
 ***********************************************************************/


#ifndef DEBUG_H_
#define DEBUG_H_

/*****************************************************************************
* Function name: debugInit
*
* Descriptions:Initializes the UART port that will be used as Debugger
*
* parameters:
* 		uartPort: The selected UART port
* 		baudrate: The Baudrate to setup the communication
*
* Returned value: 1 if it manages to initialize the UART port properly
*
*****************************************************************************/
uint32_t debugInit(uint8_t uartPort,uint32_t baudrate);


/*****************************************************************************
 * Function name: udebugPrintLog();
 *
 * Descriptions:	Sends through the debug Uart the values passed to
 * 					the function in same format as printf incluing a CR+LF at
 * 					the end
 *
 * parameters:		char* message: pointer to the values passed to the function
 *
 *  *
 *
 * Returned value: void
 *
 *****************************************************************************/
void debugPrintLog(const char *chain, ...);


#endif /* DEBUG_H_ */
